/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.wahlbeteiligung.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(WahlbeteiligungVerlaufMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class WahlbeteiligungVerlaufMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "wahlbeteiligungVerlaufMeta";

  @Inject
  private transient Messages messages;

  public WahlbeteiligungVerlaufMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getBemerkungEinzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_BEMERKUNG_EINZAHL;
  }

  public String getBemerkungMehrzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_BEMERKUNG_MEHRZAHL;
  }


  public String getBemerkungEinzahlMessage(){
    return getMessage(getBemerkungEinzahlMessageKey());
  }

  public String getBemerkungMehrzahlMessage(){
    return getMessage(getBemerkungMehrzahlMessageKey());
  }



  public boolean isBemerkungRequired() {
    return !WahlbeteiligungVerlaufConstants.BEMERKUNG_NULLABLE;
  }

  public java.lang.String getBemerkungDefaultValue() {
    return WahlbeteiligungVerlaufConstants.BEMERKUNG_DEFAULT_VALUE;
  }

  public int getBemerkungMaxLength() {
    return WahlbeteiligungVerlaufConstants.BEMERKUNG_MAX_LENGTH;
  }

  public String getDatumEinzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_DATUM_EINZAHL;
  }

  public String getDatumMehrzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_DATUM_MEHRZAHL;
  }


  public String getDatumEinzahlMessage(){
    return getMessage(getDatumEinzahlMessageKey());
  }

  public String getDatumMehrzahlMessage(){
    return getMessage(getDatumMehrzahlMessageKey());
  }



  public boolean isDatumRequired() {
    return !WahlbeteiligungVerlaufConstants.DATUM_NULLABLE;
  }

  public java.util.Date getDatumDefaultValue() {
    return WahlbeteiligungVerlaufConstants.DATUM_DEFAULT_VALUE;
  }


  public String getNameEinzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_NAME_EINZAHL;
  }

  public String getNameMehrzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_NAME_MEHRZAHL;
  }


  public String getNameEinzahlMessage(){
    return getMessage(getNameEinzahlMessageKey());
  }

  public String getNameMehrzahlMessage(){
    return getMessage(getNameMehrzahlMessageKey());
  }



  public boolean isNameRequired() {
    return !WahlbeteiligungVerlaufConstants.NAME_NULLABLE;
  }

  public java.lang.String getNameDefaultValue() {
    return WahlbeteiligungVerlaufConstants.NAME_DEFAULT_VALUE;
  }

  public int getNameMaxLength() {
    return WahlbeteiligungVerlaufConstants.NAME_MAX_LENGTH;
  }

  public String getStatusEinzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_STATUS_EINZAHL;
  }

  public String getStatusMehrzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_STATUS_MEHRZAHL;
  }


  public String getStatusEinzahlMessage(){
    return getMessage(getStatusEinzahlMessageKey());
  }

  public String getStatusMehrzahlMessage(){
    return getMessage(getStatusMehrzahlMessageKey());
  }



  public boolean isStatusRequired() {
    return !WahlbeteiligungVerlaufConstants.STATUS_NULLABLE;
  }

  public de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufStatus getStatusDefaultValue() {
    return WahlbeteiligungVerlaufConstants.STATUS_DEFAULT_VALUE;
  }


  public String getTypEinzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_TYP_EINZAHL;
  }

  public String getTypMehrzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_TYP_MEHRZAHL;
  }


  public String getTypEinzahlMessage(){
    return getMessage(getTypEinzahlMessageKey());
  }

  public String getTypMehrzahlMessage(){
    return getMessage(getTypMehrzahlMessageKey());
  }



  public boolean isTypRequired() {
    return !WahlbeteiligungVerlaufConstants.TYP_NULLABLE;
  }

  public de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufTyp getTypDefaultValue() {
    return WahlbeteiligungVerlaufConstants.TYP_DEFAULT_VALUE;
  }



  public String getWahlEinzahlMessageKey(){
    return WahlbeteiligungVerlaufConstants.MESSAGE_KEY_WAHL_ID_EINZAHL;
  }

  public String getWahlEinzahlMessage(){
    return getMessage(getWahlEinzahlMessageKey());
  }

  public boolean isWahlRequired() {
    return !WahlbeteiligungVerlaufConstants.WAHL_ID_NULLABLE;
  }

}